DELETE
/analyzer/{analyzerName}
http://access-analyzer.{region}.amazonaws.com/analyzer/{analyzerName}Deletes the specified analyzer. When you delete an analyzer, IAM Access Analyzer is disabled for the account or organization in the current or specific Region. All findings that were generated by the analyzer are deleted. You cannot undo this action.
Access Token Required: API Key
Path Parameters
analyzerNamestringrequired
The name of the analyzer to delete.
Query Params
clientTokenstring
A client token.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://access-analyzer.{region}.amazonaws.com/analyzer/{analyzerName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}